<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Exception;

class ConnectPayApiException extends ConnectPayException
{
    const INITIALIZE = 0;
    const AUTHORIZE = 1;
    const CAPTURE = 2;
    const CANCEL = 3;
    const REFUND = 4;
    const ASSERT = 5;
}
