<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Infrastructure\Adapter;

use Module;
use ConnectPay;

class ModuleFactory
{
    public function getModule(): ConnectPay
    {
	    return Module::getInstanceByName('connectpay');
    }
}
