<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

namespace Invertus\ConnectPay\Install;

use Tools;

abstract class AbstractInstaller
{
    abstract public function init(): bool;

    protected function getSqlStatements(string $fileName): string
    {
        $sqlStatements = Tools::file_get_contents($fileName);
        $sqlStatements = str_replace(['_DB_PREFIX_', '_MYSQL_ENGINE_'], [_DB_PREFIX_, _MYSQL_ENGINE_], $sqlStatements);

        return $sqlStatements;
    }
}
