# PrestaShop module ConnectPay

PrestaShop module ConnectPay used for version >= 1.7.6.5

## Getting Started

clone repository and add it to modules folder on a PrestaShop system

### Prerequisites
* composer
* PHP >= 7.1

### Installing

1. Change both module folder and main class name to your module name.
2. Find and replace on module scope all texts which starts with *ConnectPay* or *ConnectPay* string to your module name.
3. Remove Test *src/Test* and *tests/Unit/LanguageProviderTest.php* if you don't need them as a reference
4. Execute *composer install*.
5. If module does not appear in the list, make sure name in the constructor matches the main file and folder name and also if folders have right permissions.
6. Install module.

### Running unit tests
Run the command from PrestaShop root directory.
You may need add php before, depending on the system.

`vendor/bin/phpunit --configuration modules/connectpay/phpunit.xml`


## License

This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details
