<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

class ConnectPayOrder extends ObjectModel
{
    public $id_order;

    public $id_payment;

    public $order_finalized;

    public static $definition = [
        'table' => 'connectpay_order',
        'primary' => 'id_connectpay_order',
        'fields' => [
            'id_order' => ['type' => self::TYPE_INT, 'validate' => 'isInt'],
            'id_payment' => ['type' => self::TYPE_STRING, 'validate' => 'isString'],
            'order_finalized' => ['type' => self::TYPE_BOOL, 'validate' => 'isBool'],
        ],
    ];
}
