<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types=1);

namespace Invertus\ConnectPay\Infrastructure\Adapter;

use Language as PrestashopLanguage;
use Configuration;

class Language
{
    public function getDefaultLanguageId(): int
    {
        return (int) Configuration::get('PS_LANG_DEFAULT');
    }

    public function getAllLanguages(): array
    {
        return PrestashopLanguage::getLanguages(false);
    }
}
