<?php
/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

declare(strict_types = 1);

namespace Invertus\ConnectPay\OAuth\Provider;

class ScopeProvider
{
    private const DEFAULT_SCOPE = [
        'psd2-ais',
        'psd2-pis',
    ];

    public function getScopes(): array
    {
        return self::DEFAULT_SCOPE;
    }
}
