/**
 * NOTICE OF LICENSE
 *
 * @author    Connectpay  <https://connectpay.com/
 * @copyright Copyright (c) permanent, ConnectPay Inc.
 * @license   Apache License
 *
 * @see       /LICENSE
 *
 *  International Registered Trademark & Property of ConnectPay Inc.
 */

$(document).ready(function () {
    $("input[name='providerCode']").click(function() {
        providerCode = this.value;

        $("input[name='connectpayProvider']").val(providerCode);
    });

    if ($(".provider-block.default-bank-select").length) {
        $("input[name='defaultBankTransfer']").val(1);
    }

    $('.provider-block input').on('click', function() {
        $('.provider-block').each(function(index) {
            $(this).removeClass('provider-block-active');
        });

        $(this).parent().addClass('provider-block-active');
    });

    $('.provider-block .radio').on('click', function() {
        $('.provider-block').each(function(index) {
            $(this).removeClass('provider-block-active');
        });

        providerCode = $(this).find("input").attr("id");
        $("input[name='connectpayProvider']").val(providerCode);
        $(this).parent().addClass('provider-block-active');
    });
});
