{**
* NOTICE OF LICENSE
*
* @author    Connectpay  <https://connectpay.com/
* @copyright Copyright (c) permanent, ConnectPay Inc.
* @license   Apache License
*
* @see       /LICENSE
*
*  International Registered Trademark & Property of ConnectPay Inc.
*}

<h2>
    {l s='Providers' mod='connectpay'}
</h2>
<div class="providers">
    <table style="">
        <tr>
            <th>{l s='Provider' mod='connectpay'}</th>
            <th>{l s='Logo' mod='connectpay'}</th>
            <th>{l s='Is Active' mod='connectpay'}</th>
        </tr>
        {if !empty($providers)}
            {foreach $providers as $provider}
                <tr>
                    <td>{$provider.name|escape:'htmlall':'UTF-8'}</td>
                    <td><img src="{$provider.logo|escape:'htmlall':'UTF-8'}" alt="{$provider.name|escape:'htmlall':'UTF-8'}"></td>
                    <td>
                        <input class="provider" name="{$provider.id|escape:'htmlall':'UTF-8'}"
                               type="checkbox"
                               {if $provider.isActive}checked{/if} value="1"
                        >
                    </td>
                </tr>
            {/foreach}
        {/if}
    </table>
</div>